<?php namespace App\Http\Controllers;

use App\Http\Requests;
use App\Http\Controllers\Controller;

use Request;

use App\Book;

class BookController extends Controller {

	/**
	 * Display a listing of the resource.
	 *
	 * @return Response
	 */
	public function index()
	{
		$booksList=Book::all();
 		return view('books.list', ['books' => $booksList]);
	}

	/**
	 * Show the form for creating a new resource.
	 *
	 * @return Response
	 */
	public function create()
	{
		//add new book form
       return view('books.create');
	}

	/**
	 * Store a newly created resource in storage.
	 *
	 * @return Response
	 */
	public function store()
	{
		    $book = new Book;
            $book->title =  Request::input('title');
            $book->bookPages =  Request::input('bookPages');
            $book->price =  Request::input('price');
            $book->publisher =  Request::input('publisher');
            $book->save();
            return redirect()->action('BookController@index');
	}

	/**
	 * Display the specified resource.
	 *
	 * @param  int  $id
	 * @return Response
	 */
	public function show($id)
	{
		//
	}

	/**
	 * Show the form for editing the specified resource.
	 *
	 * @param  int  $id
	 * @return Response
	 */
	public function edit( $id)
	{
		$book  = Book::find($id);
		return view('books.edit', ['book' => $book]);
	}
	
	public function save()
	{
		
	}
	
	/**
	 * Update the specified resource in storage.
	 *
	 * @param  int  $id
	 * @return Response
	 */
	public function update()
	{
		$book  = Book::find(Request::input('id'));
        $book->title =  Request::input('title');
        $book->bookPages =  Request::input('bookPages');
        $book->price =  Request::input('price');
        $book->publisher =  Request::input('publisher');
        $book->save();		
		return redirect()->action('BookController@index');
	}

	
	
	
	/**
	 * Remove the specified resource from storage.
	 *
	 * @param  int  $id
	 * @return Response
	 */
	public function destroy($id)
	{
		$book  = Book::find($id);
		$book->delete();
		return redirect()->action('BookController@index');
	}

}
